Subject: bug#65803: 29.1; Noto Sans Mono CJK JP has doubled-width on Windows

From: Eli Zaretskii <[email-masked]>
Date: Fri, 08 Sep 2023 09:25:21 +0300

> From: Shingo Tanaka <[email-masked]>
> Date: Fri, 8 Sep 2023 08:19:29 +0900
> Cc: [email-masked]
> 
> I'm not an expert on fonts either, but the reason why I reported is because
> I don't see this issue on Ubuntu as attached with exactly the same font
> (NotoSansMonoCJKjp-VF.ttf).  So the difference looks like coming from OS
> difference but not emacs version difference.

Could be: the way Emacs handles fonts on Windows is very different
from what we do on GNU/Linux.  For example, it seemed to me that the
session using this font on Windows actually used the bold variant of
the font, which might have something to do with the very partial
support for font families on MS-Windows.

Please also tell what does (frame-char-width) return with each of the
two fonts on Windows.

Is your Ubuntu build with Cairo, btw?